Skip to main content
GET
Get an RFI

Authorizations

Api-Key
string
header
required

Path Parameters

rfiID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

Successful RFI response

id
string
required
read-only

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
state
enum<string>
required

The current state of the RFI: on_developer means Bridge is waiting on a response from you, on_bridge means Bridge is reviewing a response you submitted, closed means no further action is needed

Available options:
on_developer,
on_bridge,
closed
deadline
string<date-time>
required

The time by which a response to this RFI is expected

requested_items
object[]
required

The items Bridge is asking the developer to provide for this RFI

dashboard_url
string
required

A link to view and respond to this RFI in the Bridge dashboard

created_at
string<date-time>
required
read-only

The time the RFI was created

customer_id
string | null
read-only

The customer this RFI is associated with, if any

Required string length: 1 - 42
Pattern: [a-z0-9]*
referent_id
string | null

The id of the record (transfer, drain, deposit, or card account) this RFI relates to, if any. Resolve it against the endpoint named by referent_type

referent_type
enum<string> | null

The type of record that referent_id refers to

Available options:
transfer,
drain,
deposit,
card_account
bridge_action_taken
enum<string> | null

An action Bridge has already taken as a result of this RFI, if any

Available options:
customer_paused,
transaction_paused
expected_action_on_expiry
enum<string> | null

The action Bridge expects to take if this RFI expires without a response, if any

Available options:
pause_customer
additional_context
string | null

Additional free-text detail about the request, when Bridge has provided it. Not every RFI includes this field

state_changed_at
string<date-time> | null

The time the RFI's state last changed

closed_at
string<date-time> | null

The time the RFI was closed, if it has been